Infrastructure - Task #1694

Feature # 1764 (Closed): Finalize dataoneTypes schema for public release

fmtid -> formatid

2011-08-10 19:58 - Roger Dahl

Status:
Priority:
Assignee:
Category:
Target version:
Milestone:

Product Version:

Closed

High

Rob Nahf
d1_schemas
Sprint-2011.51-Block.6
CCI-1.0.0

*

Start date: 2011-08-10
Due date:

% Done: 100%
Estimated time: 0.00 hour

Story Points:

Description

The ObjectFormatldentifier is currently named "fmtid". | would like to change it to "formatld", so that it matches the conventions we
have used in the schema.

we had said we wouldn't use abbreviations at somepoint in the past -rpw

Related issues:

Related to Infrastructure - Bug #1893: formatid label in documentation not un... Closed 2011-10-25

History

#1 - 2011-10-07 21:25 - Robert Waltz

- Assignee set to Matthew Jones

- Priority changed from Normal to High

- Target version set to Sprint-2011.43-Block.6
- Milestone changed from CCI-0.6.2 to CCI-0.6.4

#2 - 2011-10-24 22:54 - Matthew Jones

- Parent task set to #1764

#3 - 2011-10-26 17:30 - Rob Nahf

- Assignee changed from Matthew Jones to Rob Nahf

- % Done changed from 0 to 60
- Milestone changed from CCI-0.6.4 to CCI-1.0.0

- Status changed from New to In Progress

see tasks under #1893.

Updated documentation - scope is

* method variable names,
* MMP mime-type,

* describe response header name
changed (unified) method parameter variable names to 'formatid’ in d1_common_java

need to change d1i_libclient_* and CN/MN wars

#4 - 2011-10-26 18:06 - Matthew Jones

- Status changed from In Progress to Closed
https://redmine.dataone.org/issues/1893

- % Done changed from 60 to 100

Reviewed Rob's formatld changes to the schema -- they look good. Made minor edits to clarify documentation. Closing this ticket because all
needed schema changes are done. The remaining tasks that Rob described above in other subsystems are covered under #1893.
